Bug 1002105 - eurephia : insufficient or ancient Obsoletes
eurephia : insufficient or ancient Obsoletes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eurephia (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Sommerseth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 09:22 EDT by Michael Schwendt
Modified: 2016-07-19 06:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-28 09:22:04 EDT
An insufficient or ancient Obsoletes tag has been discovered in the
package. It should either be corrected or dropped.

The tag is superfluous, because it doesn't obsolete a package found in
Fedora 16 and newer, and that package is ancient:

    eurephia-iptables-0:1.0.1-2.fc15.i686  is oldest
    eurephia-iptables < 0:1.0.1-2  obsoleted by  eurephia-0:1.1.0-6.fc20.i686

[semi-automated bug report]
Comment 1 David Sommerseth 2013-08-28 13:19:51 EDT
Fixed in commit 52325b8e62a89c49be81dab565307bfdd3b93891

----------------------------------------------------------
commit 52325b8e62a89c49be81dab565307bfdd3b93891
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Aug 28 18:51:21 2013 +0200

    Remove superfluous Obsolete tag
    
    This was used when eurephia changed the packaging a while ago,
    where the contents of the eurephia-iptables RPM was moved into the
    main eurephia RPM.
    
    Still keeping the Provides tag, to cover if somebody have old
    documentation at hand.  At least for now.
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

diff --git a/eurephia.spec b/eurephia.spec
index 54f67b8..ff2c225 100644
--- a/eurephia.spec
+++ b/eurephia.spec
@@ -1,6 +1,6 @@
 Name:           eurephia
 Version:        1.1.0
-Release:        6%{?betatag:.%{betatag}}%{?dist}
+Release:        7%{?betatag:.%{betatag}}%{?dist}
 Summary:        An advanced and flexible OpenVPN user authentication plug-in
 
 Group:          Applications/Internet
@@ -18,7 +18,6 @@ BuildRequires:  cmake >= 2.6.1
 BuildRequires:  sqlite-devel >= 3.0.0
 Requires:       openvpn
 Requires:       eurephia-sqlite3 = %{version}-%{release}
-Obsoletes:      eurephia-iptables < 1.0.1-2
 Provides:       eurephia-iptables >= 1.0.1-2
 
 %description
@@ -143,6 +142,9 @@ rm -rf %{buildroot}
 %{_mandir}/man7/eurephia_saltdecode.7.gz
 
 %changelog
+* Wed Aug 28 2013 David Sommerseth <dazo@users.sourceforge.net> - 1.1.0-7
+- Removed superfluous Obsolete tag.  This is not relevant any more in Fedora.
+
 * Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
----------------------------------------------------------
Comment 2 Jaroslav Reznik 2015-03-03 12:09:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:19:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.